import request from '@/utils/request'

export function getAreaPersonliableList(params) {
  return request({
    url: '/areaPersonliable/listPage',
    method: 'get',
    params
  })
}

export function addAreaPersonliable(params) {
  return request({
    url: '/areaPersonliable/add',
    method: 'post',
    params
  })
}

export function updateAreaPersonliable(params) {
  return request({
    url: '/areaPersonliable/update',
    method: 'post',
    params
  })
}

export function deleteAreaPersonliable(id) {
  return request({
    url: '/areaPersonliable/delete',
    method: 'post',
    params: {
      id: id
    }
  })
}

export function getSupervisorList() {
  return request({
    url: '/mgr/simplelist',
    method: 'post',
    params: {
      roleTips: 'supervisor'
    }
  })
}
